<template>
  <div class="gameResults_wrapper">
    <div
      class="gameResults gameResults-win">
      <div class="gameResults_header">
        <div :class="'gameResults_header-winNumber gameResults_header-winNumber-'+type">{{number}}</div>
        {{$t('gameResult.win')}}
      </div>
      <div class="gameResults_inner">
        <div class="gameResults_inner-amount">
          <span class="gameResults_inner-amount-num">{{amount}}</span> EOS
        </div>
        <img
          :src="gifUrl"
          alt=""
          class="gameResults_inner-img">
        <Btn @click="close">{{$t('gameResult.again')}}</Btn>
      </div>
    </div>
  </div>
</template>

<script>
  import Btn from '~/components/UI/BtnSign';

  export default {
    name: "TheGameResults_win",
    props: {
      type: {
        type: String,
        default: 'win'
      },
      number: {
        type: Number,
        default: 0
      },
      gifUrl: {
        type: String,
        default: ''
      }
    },
    data() {
      return {
        random: 1,
      }
    },
    components: {
      Btn
    },
    computed: {
      amount() {
        return Math.round(this.$store.state.game.myWin * 100) / 100;
      }
    },
    methods: {
      close() {
        this.ga('pa', true);
        this.$emit('close', this.type);
      }
    }
  }
</script>
